Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NonPersistent()> _
<CreatableItem(False)> _
<NavigationItem(False)> _
Public Class Contact_EmailSendQueue_PopUp
    Inherits BaseObject

    Private _EMailSendQueueParameters As EMailSendQueueParameters
    Private _FileAttachments1 As FileData
    Private _FileAttachments2 As FileData
    Private _FileAttachments3 As FileData

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()

    End Sub

    Property EMailSendQueueParameters As EMailSendQueueParameters
        Get
            Return _EMailSendQueueParameters
        End Get
        Set(value As EMailSendQueueParameters)
            SetPropertyValue("EMailSendQueueParameters", _EMailSendQueueParameters, value)
        End Set
    End Property

    Property FileAttachments1 As FileData
        Get
            Return _FileAttachments1
        End Get
        Set(value As FileData)
            SetPropertyValue("FileAttachments1", _FileAttachments1, value)
        End Set
    End Property
    Property FileAttachments2 As FileData
        Get
            Return _FileAttachments2
        End Get
        Set(value As FileData)
            SetPropertyValue("FileAttachments2", _FileAttachments2, value)
        End Set
    End Property
    Property FileAttachments3 As FileData
        Get
            Return _FileAttachments3
        End Get
        Set(value As FileData)
            SetPropertyValue("FileAttachments3", _FileAttachments3, value)
        End Set
    End Property

    ReadOnly Property HTMLMailTemplate As XPCollection(Of HTMLMailTemplate)
        Get

            Dim _HTMLMailTemplate_Collection As New XPCollection(Of HTMLMailTemplate)(Session, CriteriaOperator.Parse("HTMLMailTemplateState=1"))
            Return _HTMLMailTemplate_Collection

        End Get
    End Property
End Class
